Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AlternatingAdjacentSwapScheme

[frames] | no frames]

# Class AlternatingAdjacentSwapScheme

source code

            object --+
                     |
    AbstractSwapScheme --+
                         |
                        AlternatingAdjacentSwapScheme

Provides a swapping scheme in which tries exchanges between neighbours only following the scheme 1 <-> 2, 3 <-> 4, ... and after a sampling period 2 <-> 3, 4 <-> 5, ...

Nested Classes
Inherited from `AbstractSwapScheme`: `__metaclass__`

Instance Methods

__init__(self, algorithm) x.__init__(...) initializes x; see help(type(x)) for signature | source code

swap_all(self) Advises the Replica Exchange-like algorithm to perform swaps according to the schedule defined here. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, algorithm)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `algorithm` (AbstractExchangeMC) - Exchange algorithm that performs the swaps
Overrides: object.__init__
  (inherited documentation)

### swap_all(self)

source code

Advises the Replica Exchange-like algorithm to perform swaps according to the schedule defined here.

Overrides: AbstractSwapScheme.swap_all
  (inherited documentation)